# eth\_getBlockReceipts

1. #### Parameters

* <mark style="color:blue;">blockNumber/tag</mark> string REQUIRED

  The block number in hexadecimal format or the string latest, earliest, pending, safe or finalized (safe and finalized tags are only supported on Ethereum, Gnosis, Arbitrum and Arbitrum Nova), see the default block parameter description in the official Ethereum documentation

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getBlockReceipts","params":["0xEDA8CE"],"id":1,"jsonrpc":"2.0"}'
```

2. **Returns**

* **result**-array
  * <mark style="color:blue;">blockHash</mark> The hash of the block. null when pending&#x20;
  * <mark style="color:blue;">blockNumber</mark> The block number&#x20;
  * <mark style="color:blue;">contractAddress</mark> The contract address created if the transaction was a contract creation, otherwise null&#x20;
  * <mark style="color:blue;">cumulativeGasUsed</mark> The total amount of gas used when this transaction was executed in the block&#x20;
  * <mark style="color:blue;">effectiveGasPrice</mark> The actual value per gas deducted from the sender account&#x20;
  * <mark style="color:blue;">from</mark> The address of the sender&#x20;
  * <mark style="color:blue;">gasUsed</mark> The amount of gas used by this specific transaction alone
  * <mark style="color:blue;">logs</mark> An array of log objects that generated this transaction
    * <mark style="color:blue;">address</mark> An address from which this log originated&#x20;
    * <mark style="color:blue;">topics</mark> An array of zero to four 32 Bytes DATA of indexed log arguments. In Solidity, the first topic is the hash of the signature of the event (e.g. Deposit(address, bytes32, uint256)), except you declare the event with the anonymous specifier&#x20;
    * <mark style="color:blue;">data</mark> It contains one or more 32 Bytes non-indexed arguments of the log&#x20;
    * <mark style="color:blue;">blockNumber</mark> The block number where this log was in. null when its a pending log&#x20;
    * <mark style="color:blue;">transactionHash</mark> The hash of the transactions this log was created from. null when its a pending log&#x20;
    * <mark style="color:blue;">transactionIndex</mark> The integer of the transaction's index position that the log was created from. null when it's a pending log&#x20;
    * <mark style="color:blue;">blockHash</mark> The hash of the block where this log was in. null when its a pending log&#x20;
    * <mark style="color:blue;">logIndex</mark> The integer of the log index position in the block. null when its a pending log&#x20;
    * <mark style="color:blue;">removed</mark> It is true when the log was removed due to a chain reorganization, and false if it's a valid log
  * <mark style="color:blue;">logsBloom</mark> The bloom filter for light clients to quickly retrieve related logs
  * <mark style="color:blue;">status</mark> It is either 1 (success) or 0 (failure) encoded as a hexadecimal&#x20;
  * <mark style="color:blue;">to</mark> The address of the receiver. null when it's a contract creation transaction&#x20;
  * <mark style="color:blue;">transactionHash</mark> The hash of the transaction&#x20;
  * <mark style="color:blue;">transactionIndex</mark> An index of the transaction in the block&#x20;
  * <mark style="color:blue;">type</mark> The value type
